# ship.h File Reference

Base for ships. More...

`#include "vehicle_base.h"`

Go to the source code of this file.

## Data Structures

struct | Ship
| All ships have this type. More...

## Defines

#define | FOR_ALL_SHIPS(var) FOR_ALL_VEHICLES_OF_TYPE(Ship, var)

## Functions

void | RecalcShipStuff (Vehicle *v)
void | GetShipSpriteSize (EngineID engine, uint &width, uint &height)
| Get the size of the sprite of a ship sprite heading west (used for lists).

## Detailed Description

Base for ships.

Definition in file ship.h.

## Function Documentation

void GetShipSpriteSize | ( | EngineID | engine,
|  | uint & | width,
|  | uint & | height |
| ) |  |  |

Get the size of the sprite of a ship sprite heading west (used for lists).

Parameters:

  | engine | The engine to get the sprite from
  | width | The width of the sprite
  | height | The height of the sprite

Definition at line 81 of file ship_cmd.cpp.

References Sprite::height, ST_NORMAL, and Sprite::width.